# TSGetRHSMatrix

Returns the matrix A at the present timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetRHSMatrix(TS ts,Mat *A,Mat *M,void **ctx)

Not Collective, but parallel objects are returned if TS is parallel

### Input Parameter

ts -The TS context obtained from TSCreate()

### Output Parameters

| A | - The matrix A, where U_t = A(t) U
| M | - The preconditioner matrix, usually the same as A
| ctx | - User-defined context for matrix evaluation routine

Notes: You can pass in PETSC_NULL for any return argument you do not need.

Contributed by: Matthew Knepley

### See Also

TSGetTimeStep(), TSGetTime(), TSGetTimeStepNumber(), TSGetRHSJacobian()

### Keywords

TS, timestep, get, matrix

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages